
-module(fibber).
-export([fib/1]).

fib(0) -> 0;
fib(N) when N < 0 -> err_neg_val;
fib(N) when N < 3 -> 1;
fib(N) -> fib_int(N, 0, 1).

fib_int(1, _, B) -> B;  % this is not exported
fib_int(N, A, B) -> fib_int(N-1, B, A+B).

