
-module(qquick).
-export([sort/1]).

sort(Lists) -> 
  sort(Lists, fun(A,B) -> length(A) < length(B) end).

sort([], _ )-> []; % If list is empty, return empty (ignore second param)
sort([Pivot|Rest], Smaller) ->
   sort([X || X <- Rest, Smaller(X,Pivot)], Smaller)
   ++ [Pivot] 
   ++ sort([Y || Y <- Rest, not(Smaller(Y, Pivot))], Smaller).

