
-module(quick).     % This is the file 'qsort.erl'
-export([sort/1]). % fun 'qsort' with 1 parm (no type, no name)

sort([]) -> []; % If empty list, return empty (nothing to sort)
sort([Pivot|Rest]) ->
  sort( [Front || Front <- Rest, Front < Pivot] ) 
  ++ [Pivot]
  ++ sort( [Back || Back <- Rest, Back >= Pivot] ) .

