
-module(rec). 
-export([len/1, tlen/1, for/2, inf/0, inf/1 ]). 
-export([tfac/1]).

len([]) -> 0;
len([_|T]) -> 1 + len(T).

tlen(L) -> tail_len(L,0).
 
tail_len([], Acc) -> Acc;
tail_len([_|T], Acc) -> tail_len(T,Acc+1).


tfac(N) -> tail_fac(N,1).
tail_fac(0,Acc) -> Acc;
tail_fac(N,Acc) when N > 0 -> tail_fac(N-1,N*Acc).


for(L, 0) -> L;
for([], I) -> I;

for(L, I) -> io:fwrite("~p: ~p ~n", [I, hd(L)]),
	     for( tl(L), I-1).

inf() -> io:fwrite("some 'loop body' action \n"),
	  timer:sleep(2000),
	  inf().  % tail recursion

inf(N) -> io:fwrite("~s ~p ~n", ["some loop body action ", N]),
	  timer:sleep(1000),
          if N>=20 -> io:fwrite("done\n");
	     true -> inf(N+1)
	  end.  % tail recursion

